<Type Name="IEventBindingService" FullName="System.ComponentModel.Design.IEventBindingService">
  <TypeSignature Language="C#" Value="public abstract interface IEventBindingService;" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base />
  <Interfaces />
  <Attributes>
    <Attribute>
      <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName="ShowCode">
      <MemberSignature Language="C#" Value="public virtual bool ShowCode (ComponentModel.IComponent component, ComponentModel.EventDescriptor e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.ComponentModel.IComponent" />
		<Parameter Name="e" Type="System.ComponentModel.EventDescriptor" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'ComponentModel.IComponent'</param>
        <param name="e">To be added: an object of type 'ComponentModel.EventDescriptor'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ShowCode">
      <MemberSignature Language="C#" Value="public virtual bool ShowCode (int lineNumber);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="lineNumber" Type="System.Int32" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="lineNumber">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ShowCode">
      <MemberSignature Language="C#" Value="public virtual bool ShowCode ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEventProperty">
      <MemberSignature Language="C#" Value="public virtual ComponentModel.PropertyDescriptor GetEventProperty (ComponentModel.EventDescriptor e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptor</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.ComponentModel.EventDescriptor" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'ComponentModel.EventDescriptor'</param>
        <returns>To be added: an object of type 'ComponentModel.PropertyDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEventProperties">
      <MemberSignature Language="C#" Value="public virtual ComponentModel.PropertyDescriptorCollection GetEventProperties (ComponentModel.EventDescriptorCollection events);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="events" Type="System.ComponentModel.EventDescriptorCollection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="events">To be added: an object of type 'ComponentModel.EventDescriptorCollection'</param>
        <returns>To be added: an object of type 'ComponentModel.PropertyDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEvent">
      <MemberSignature Language="C#" Value="public virtual ComponentModel.EventDescriptor GetEvent (ComponentModel.PropertyDescriptor property);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.EventDescriptor</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="property" Type="System.ComponentModel.PropertyDescriptor" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="property">To be added: an object of type 'ComponentModel.PropertyDescriptor'</param>
        <returns>To be added: an object of type 'ComponentModel.EventDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetCompatibleMethods">
      <MemberSignature Language="C#" Value="public virtual Collections.ICollection GetCompatibleMethods (ComponentModel.EventDescriptor e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Collections.ICollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.ComponentModel.EventDescriptor" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'ComponentModel.EventDescriptor'</param>
        <returns>To be added: an object of type 'Collections.ICollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateUniqueMethodName">
      <MemberSignature Language="C#" Value="public virtual string CreateUniqueMethodName (ComponentModel.IComponent component, ComponentModel.EventDescriptor e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.ComponentModel.IComponent" />
		<Parameter Name="e" Type="System.ComponentModel.EventDescriptor" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'ComponentModel.IComponent'</param>
        <param name="e">To be added: an object of type 'ComponentModel.EventDescriptor'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
